LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;


entity uart_random_number_tb is
end uart_random_number_tb;


architecture my_tb of uart_random_number_tb is


  component uart_test_impl1 is
    port(
        clk: in std_logic; 
        reset: in std_logic; 
        send: in std_logic; 
        rx: in std_logic; 
        tx: out std_logic 
    );
  end component;


  signal clk_i, reset_i, send_i, rx_i, tx_o : std_logic; 

  
  begin

  
  -- (1) instantiate design under test (DUT);
  DUT: uart_test_impl1 port map (
    clk => clk_i,
    reset => reset_i,
    send => send_i,
    rx => rx_i,
    tx => tx_o
  );

  
  -- (2) process to generate clock signal; 
  clk_gen : process
  begin
    clk_i <= '0'; wait for 1 ps;
    clk_i <= '1'; wait for 1 ps;
  end process clk_gen;
  
  
  -- (3) process to generate desired input stimuli;
  apply_inputs: process
  begin
    reset_i <= '1';
    send_i <= '0';
		rx_i <= '0';
    wait for 4 ps;

    reset_i <= '0';
    send_i <= '1'; -- enable send
		rx_i <= '0';
    wait for 4 ps;

    reset_i <= '0';
    send_i <= '0';
		rx_i <= '0';
    wait for 400 ps;
  end process;
    

end my_tb;
